CADxp: des entrées utilisateur "stylées" - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

des entrées utilisateur "stylées" (en ligne de commande s'entend)

#1 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 914
  • Inscrit(e) : 04-novembre 05

Posté 27 février 2019 - 17:07

Salut à tous,
pas vérifié si le sujet a déjà été abordé ici,
mais en tout cas, il n'est pas documenté par Autodesk.

je m'en suis rendu compte par hasard,
on peut avoir des mots clef d'initget cliquables, comme les commandes natives d'Autocad,
en formatant nos invites de commande:
(initget "Un Deux")
(getreal "\nChoisissez une nombre :[Un/Deux]")

Choisissez une nombre :[Un Deux]D
"Deux"
par contre, ça marche pas vraiement avec entsel, seul le 1er mot clef est pris en compte
(initget "Un Deux")
(entsel "\nChoisissez une entité :[Un/Deux]"

Choisissez une entité :[Un/Deux]D
(<Nom d'entité: 7fffb02a590> (0.0 0.0 0.0))

mais ça dépoussière un peu les interfaces pour pas cher !
a+
gégé
---------------------------------------------------------------------- PowerClic sur http://www.g-eaux.com
0

#2 L'utilisateur est hors-ligne   DenisHen 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3400
  • Inscrit(e) : 17-décembre 05
  • LocationDIERREY SAINT JULIEN (10190)

Posté 28 février 2019 - 09:30

Salut.

J'ai découvert ce truc aussi... J'ai d'ailleurs fais la totalité de mes lisp en fonctions. Ce qui donne, par exemple :
  (initget "Automatiquement Manuellement Gauche Droite Non")
  (setq OptionIns (getkword
                    "\nPlacement des textes [Automatiquement/Manuellement/Gauche/Droite/Non] :" ;_ Fin de strcat
                  ) ;_ Fin de getkword
  ) ;_ Fin de setq

Pour ce qui est du "entsel", je pense qu'il nécessite une sélection... Tu ne peux pas demander un mot (cliquable en ligne de commande) et une sélection d'objet dans la même commande... Enfin, j'ai déjà essayé, et je n'ai jamais réussi...

En tous cas, merci du partage...

Denis...
Windows 10 Pro 64bits / AutoCAD MAP 3D 2019 (22.0.022.4)
Covadis 16 / Microstation V8i

Sur terre, il y a 10 types de personnes, celles qui comptent en binaire et les autres...
Davantage d'avantages, avantagent davantage. (Bobby Lapointe)
La connaissance s'accroît quand on la partage.(Socrate)
0

#3 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 914
  • Inscrit(e) : 04-novembre 05

Posté 28 février 2019 - 11:15

Salut Denis

Voir le messageDenisHen, le 28 février 2019 - 09:30 , dit :


Pour ce qui est du "entsel", je pense qu'il nécessite une sélection... Tu ne peux pas demander un mot (cliquable en ligne de commande) et une sélection d'objet dans la même commande... Enfin, j'ai déjà essayé, et je n'ai jamais réussi...


c'est assez compliqué:
il reconnait le 1er en entier ou en raccourci, le 2eme en entier seulement:
(avec les crochets ou sans les crochets)

regarde la séquence suivante:

Commande: (initget "Un Deux")
nil
Commande: (entsel "\nChoisissez une entité : Un Deux ")
Choisissez une entité : Un Deux u
"Un"
Commande: (initget "Un Deux")
nil
Commande: (entsel "\nChoisissez une entité : Un Deux ")
Choisissez une entité : Un Deux d
(<Nom d'entité: 7fff8748300> (0.0 0.0 0.0))
Commande: (initget "Un Deux")
nil
Commande: (entsel "\nChoisissez une entité : Un Deux ")
Choisissez une entité : Un Deux Deux
"Deux"
---------------------------------------------------------------------- PowerClic sur http://www.g-eaux.com
0

#4 L'utilisateur est hors-ligne   DenisHen 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3400
  • Inscrit(e) : 17-décembre 05
  • LocationDIERREY SAINT JULIEN (10190)

Posté 28 février 2019 - 11:52

C'est vrai que c'est assez déconcertant...

Mais je n'ai malheureusement pas de solution...
Windows 10 Pro 64bits / AutoCAD MAP 3D 2019 (22.0.022.4)
Covadis 16 / Microstation V8i

Sur terre, il y a 10 types de personnes, celles qui comptent en binaire et les autres...
Davantage d'avantages, avantagent davantage. (Bobby Lapointe)
La connaissance s'accroît quand on la partage.(Socrate)
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)